spi_new_device
Prev | Chapter 26. Serial Peripheral Interface (SPI) | Next

## Name

spi_new_device — instantiate one new SPI device

## Synopsis

`struct spi_device * spi_new_device (` | struct spi_master * | master,
| struct spi_board_info * | chip`)`;

## Arguments

`master`

  Controller to which device is connected

`chip`

  Describes the SPI device

## Context

can sleep

## Description

On typical mainboards, this is purely internal; and it's not needed after board init creates the hard-wired devices. Some development platforms may not be able to use spi_register_board_info though, and this is exported so that for example a USB or parport based adapter driver could add devices (which it would learn about out-of-band).

Returns the new device, or NULL.

Prev | Up | Next
spi_register_driver | Home | spi_alloc_master